## com.bbn.openmap.dataAccess.iso8211
Class DDFFieldDefinition.DataTypeCode

    java.lang.Object
      com.bbn.openmap.dataAccess.iso8211.DDFFieldDefinition.DataTypeCode

Enclosing class:
  DDFFieldDefinition

public static class DDFFieldDefinition.DataTypeCode
extends java.lang.Object

Field Summary
`static DDFFieldDefinition.DataTypeCode` `BIT_STRING`
`static DDFFieldDefinition.DataTypeCode` `CHAR_BIT_STRING`
`static DDFFieldDefinition.DataTypeCode` `CHAR_STRING`
`static DDFFieldDefinition.DataTypeCode` `EXPLICIT_POINT`
`static DDFFieldDefinition.DataTypeCode` `EXPLICIT_POINT_SCALED`
`static DDFFieldDefinition.DataTypeCode` `IMPLICIT_POINT`
`static DDFFieldDefinition.DataTypeCode` `MIXED_DATA_TYPE`

Constructor Summary
`DDFFieldDefinition.DataTypeCode(char structCode, java.lang.String desc)`

Method Summary
`static DDFFieldDefinition.DataTypeCode` `get(char c)`
`char` `getCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHAR_STRING

    public static final DDFFieldDefinition.DataTypeCode CHAR_STRING

### IMPLICIT_POINT

    public static final DDFFieldDefinition.DataTypeCode IMPLICIT_POINT

### EXPLICIT_POINT

    public static final DDFFieldDefinition.DataTypeCode EXPLICIT_POINT

### EXPLICIT_POINT_SCALED

    public static final DDFFieldDefinition.DataTypeCode EXPLICIT_POINT_SCALED

### CHAR_BIT_STRING

    public static final DDFFieldDefinition.DataTypeCode CHAR_BIT_STRING

### BIT_STRING

    public static final DDFFieldDefinition.DataTypeCode BIT_STRING

### MIXED_DATA_TYPE

    public static final DDFFieldDefinition.DataTypeCode MIXED_DATA_TYPE

Constructor Detail

### DDFFieldDefinition.DataTypeCode

    public DDFFieldDefinition.DataTypeCode(char structCode,
                                           java.lang.String desc)

Method Detail

### getCode

    public char getCode()

### toString

    public java.lang.String toString()

### get

    public static DDFFieldDefinition.DataTypeCode get(char c)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details